with GNATCOLL.VFS; use GNATCOLL.VFS;

procedure Main is
   F : Virtual_File := Create ("c.sh");
   W : Writable_File;
begin
   W := F.Write_File;
   Write (W, "Some new content");
   Close (W);  --  save and preserve permissions
end Main;
